@font-face {
  font-family: 'Slenca';
  src: url('./assets/fonts/Slenco-Black.otf') format('opentype');
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: 'Ridley';
  src: url('./assets/fonts/Ridley-Grotesk-Regular.otf') format('opentype');
  font-weight: normal;
  font-style: normal;
}
:root {
  --main-bg-color: #272a37;
  --primary-text-color: #fefefe;
  --secondary-text-color: #b3b6ba;
  --lighter-text-color: #3f414d;
  --lighter-text-color2: #343642;
  --ternary-text-color: #1d90f5;
  --input-color: #323644;
}
body {
  background-color: var(--main-bg-color);
  font-family: 'Ridley';
  color: var(--primary-text-color);
  letter-spacing: 1px;
  margin: 20px;
  overflow: hidden;
}
.logo-header {
  display: inline-block;
  font-size: 25px;
  margin: 0px 20px;
  font-family: 'Slenca';
}
.logo-header span,
.auth-header span {
  color: var(--ternary-text-color);
  font-size: 50px;
  margin: 5px;
}
.links {
  color: var(--ternary-text-color);
  text-decoration: none;
  font-weight: 100;
}
.icon-img {
  width: 16px;
  height: 16px;
  margin-top: 10px;
}
.secondary-color {
  color: var(--secondary-text-color);
  font-weight: 100;
  font-size: 13px;
}
.auth {
  margin-left: 20px;
}
.auth-header {
  margin: 20px 0px;
  font-family: 'Slenca';
}
form {
  margin: 50px 0px;
}
.form-input {
  margin: 30px 0px;
}
.search-form-input {
  text-align: center;
  width: 400px;
}
.send-form-input {
  text-align: center;
  position: relative;
}
.send-form-input input {
  background-color: var(--lighter-text-color2);
  width: 400px;
  height: 40px;
  border: 1px solid var(--ternary-text-color);
  border-radius: 10px;
  padding-left: 20px;
  color: var(--primary-text-color);
}
::-webkit-input-placeholder {
  /* Edge */
  color: var(--secondary-text-color);
  font-family: 'Ridley';
  font-size: 12px;
  font-weight: 100;
}
:-ms-input-placeholder {
  /* Internet Explorer 10-11 */
  color: var(--secondary-text-color);
  font-family: 'Ridley';
  font-size: 12px;
  font-weight: 100;
}
::placeholder {
  color: var(--secondary-text-color);
  font-family: 'Ridley';
  font-size: 12px;
  font-weight: 100;
}
input {
  font-family: 'Ridley';
}
.send-icon,
.add-icon {
  font-size: 20px;
  margin: 0px 15px;
  position: absolute;
  bottom: 2px;
  color: var(--primary-text-color);
  cursor: pointer;
  background-color: var(--ternary-text-color);
  padding: 8px;
  border-radius: 50%;
}
.add-icon {
  left: 70px;
  border-radius: 10px;
}
.search-illustration {
  width: 300px;
}
.search-results {
  text-align: center;
}
.search-form-input input {
  border-radius: 20px;
  height: 45px;
  border: none;
  width: 350px;
  color: var(--primary-text-color);
  font-family: 'Slenca';
  letter-spacing: 1.5px;
  font-weight: 100;
  padding-left: 20px;
  background-color: var(--lighter-text-color);
}
.half-form-input input,
.form-input input {
  border-radius: 20px;
  height: 45px;
  background-color: var(--input-color);
  border: none;
  width: 400px;
  color: var(--primary-text-color);
  padding: 8px 0px 0px 20px;
  font-family: 'Slenca';
  letter-spacing: 1.5px;
  font-weight: 100;
}
.half-form-input input {
  width: 180px;
}
.half-form-input {
  display: inline-block;
}
.half-form-input:nth-child(1) {
  margin-right: 40px;
}
.half-form-input input:focus,
.form-input input:focus {
  border: 1px solid var(--ternary-text-color) !important;
}
.half-form-input p,
.form-input p {
  color: var(--secondary-text-color);
  font-size: 12px;
}
.MuiTypography-root{
  font-size: 11px !important;
  font-family: "Ridley" !important;
}
.form-icons {
  color: var(--secondary-text-color);
  font-size: 20px;
  margin-left: -40px;
  margin-bottom: -5px;
  cursor: pointer;
}
.form-label {
  margin-bottom: -20px;
  margin-left: 15px;
  position: relative;
  z-index: 100;
}
.flex {
  display: flex;
  justify-content: space-around;
}
.illustration {
  width: 400px;
  height: 400px;
}
.btn {
  padding: 15px 40px;
  border-radius: 50px;
  border: none;
  background-color: var(--ternary-text-color);
  color: var(--primary-text-color);
  font-family: 'Slenca';
  font-size: 16px;
  font-weight: 100;
  letter-spacing: 1.5px;
  cursor: pointer;
}
.btn-small{
  padding: 10px 30px;
  font-size: 12px;
}
.chat,
.chat-active {
  width: 350px;
  height: 60px;
  margin-bottom: 20px;
  border-radius: 20px;
  background-color: var(--lighter-text-color);
  cursor: pointer;
}
.chat:hover {
  background-color: var(--lighter-text-color2);
}
.chats {
  position: relative;
  width: 350px !important;
  height: 90vh;
  overflow-y: auto;
  padding-right: 20px;
}
.message-stacks {
  height: 60vh;
  overflow-y: auto;
}
*::-webkit-scrollbar{
  width: 2px;
  height: 10px;
  background-color: var(--lighter-text-color);
}
.m-5 {
  margin: 5px;
}
.chat-block {
  width: 100%;
}
*::-webkit-scrollbar-thumb{
  background-color: var(--ternary-text-color);
  border: none;
}
*::-webkit-scrollbar-track{
  margin-top: 10px;
  margin-bottom: 10px;
}
/* Hide scrollbar for IE, Edge and Firefox */
.chats {
  -ms-overflow-style: none; /* IE and Edge */
  scrollbar-width: 10px; /* Firefox */
}
.chat-active {
  background-color: var(--ternary-text-color);
  opacity: 0.8;
}
.selected-users{
  display: flex;
  font-size: 10px;
  color: var(--secondary-text-color);
  padding-left: 20px;
  margin-top: 10px;
  flex-wrap: wrap;
}
.selected-users .icons{
  font-size: 16px;
}
.selected-users div{
  margin: 5px;
  background-color: var(--main-bg-color);
  border-radius: 10px;
  padding: 5px;
}
.small-text {
  font-size: 10px;
  color: var(--secondary-text-color);
}
.small {
  font-size: 16px;
}
.small span {
  font-size: 20px;
}
.messages {
  width: 80vw;
}
h1 {
  font-family: 'Slenca';
}
.Toastify__toast-theme--light {
  color: var(--primary-text-color) !important;
  background: var(--lighter-text-color2) !important;
  font-size: 13px !important;
  font-family: 'Slenca' !important;
}
.Toastify__progress-bar--success {
  background: rgb(96, 176, 96) !important;
  height: 2px !important;
}
.Toastify__progress-bar--error {
  background: rgb(219, 75, 27) !important;
  height: 2px !important;
}
.Toastify__close-button svg {
  color: var(--primary-text-color);
}
.m-0 {
  margin: 0;
}
.icons {
  font-size: 25px;
  opacity: 0.5;
  cursor: pointer;
}
.text-right {
  text-align: right;
}
.text-center {
  text-align: center;
}
.settings {
  margin-left: 10px;
}
.chat .img,
.chat-active .img {
  flex: 0.5;
  margin: 10px;
}
.profile-name {
  font-family: 'Slenca';
  font-size: 16px;
}
.me-stack,
.you-stack {
  font-size: 11px;
  line-height: 20px;
  display: flex;
  margin: 0px 10px;
  cursor: pointer;
}
.me-stack {
  justify-content: flex-end;
}
.me-stack p:nth-child(1),
.you-stack p:nth-child(1) {
  padding: 10px;
  width: 300px;
}
.me-stack p:nth-child(1) {
  border-radius: 15px 15px 0px 15px;
  background-color: var(--ternary-text-color);
}
.you-stack p:nth-child(1) {
  border-radius: 15px 15px 15px 0px;
  background-color: var(--lighter-text-color2);
}
.chat .content,
.chat-active .content {
  flex: 5;
}
.chat .active,
.chat-active .active {
  flex: 1;
  text-align: right;
  padding-right: 15px;
}
.chat .active span,
.chat-active .active span {
  display: inline-block;
  width: 8px;
  height: 8px;
  border-radius: 50%;
  background-color: var(--ternary-text-color);
  margin-top: 27px;
  box-shadow: 0 5px 20px var(--ternary-text-color);
}
.profilePic,
.online,
.userLogo {
  width: 40px;
  height: 40px;
  border-radius: 50%;
}
.userLogo {
  border: 2px solid var(--lighter-text-color2);
}
.online {
  border: 2px solid var(--ternary-text-color);
  box-shadow: 0 5px 20px var(--ternary-text-color);
}
.chat-active .online {
  border: 1px solid var(--primary-text-color);
}
.messages {
  margin: 0px 20px;
  background-color: var(--lighter-text-color);
  height: 90vh;
  width: 55vw;
  border-radius: 20px;
}
.no-message {
  text-align: center;
}
.no-message img {
  width: 50%;
}
.name {
  font-size: 15px;
  color: var(--primary-text-color);
  margin: 10px 0px;
}
.msg {
  font-size: 10px;
  color: var(--secondary-text-color);
  margin: 0;
}
.search-result{
  text-align: left;
  padding: 10px 20px;
  cursor: pointer;
  border: 1px solid var(--lighter-text-color);
  border-radius: 20px;
  margin: 10px 20px;
  padding-bottom: 0px;
}
.search-result:hover{
  background-color: var(--lighter-text-color);
}
.search-result span{
  position: relative;
  bottom:20px;
  left: 10px;
  font-family: "Slenca";
}
.search-result .small-text{
  margin-left: 40px;
  margin-bottom: 0px;
}
.profile-header {
  margin: 20px;
  margin-bottom: 0px;
  padding: 20px 0px;
  display: flex;
}
.flex-down {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.ml-15 {
  margin-left: 15px;
}
.mt-5{
  margin-top: 5px;
}
.j-around {
  justify-content: space-around !important;
}
.j-between {
  justify-content: space-between !important;
}
.chat-block {
  margin-top: 20px;
}
.flex-down {
  height: 95vh;
}
.singleChat {
  width: 59vw;
}
.icon-img{
  cursor: pointer;
}
/* Media Query for Mobile Devices */
@media (max-width: 900px) {
  .half-form-input input,
  .form-input input {
    width: 350px !important;
  }
  .half-form-input {
    margin: 10px 0px;
  }
  .illustration {
    display: none;
  }
  .sidebar {
    display: none;
  }
  .chat-invisible{
    display: none;
  }
  .chats {
    overflow-y: visible;
    padding-right: 0px;
  }
  .singleChat {
    width: 100vw;
    height: 100vh;
  }
  .singleChat .messages{
    width: 100vw;
    height: 100vh;
    margin: 0px;
  }
  .message-stacks{
    height: 65vh;
  }
  .send-form-input{
    margin-top: 10px;
  }
  .send-form-input input{
    width: 65vw;
  }
  .send-icon{
    margin: 0px;
  }
  .add-icon{
    left: 0px;
  }
  .wrapper{
    justify-content: flex-start !important;
  }
  body{
    margin: 0px;
  }
  .chat-block, .chat, .chats .flex{
    width: 100vw;
  }
}
